net.sf.jasperreports.export

## Class SimplePrintServiceExporterConfiguration

- java.lang.Object
- - net.sf.jasperreports.export.SimpleCommonExportConfiguration
  - - net.sf.jasperreports.export.SimpleExporterConfiguration
    - - net.sf.jasperreports.export.SimpleGraphics2DExporterConfiguration
      - - net.sf.jasperreports.export.SimplePrintServiceExporterConfiguration

- All Implemented Interfaces:
    CommonExportConfiguration, ExporterConfiguration, Graphics2DExporterConfiguration, PrintServiceExporterConfiguration

      public class SimplePrintServiceExporterConfiguration
      extends SimpleGraphics2DExporterConfiguration
      implements PrintServiceExporterConfiguration

  Version:
    $Id: SimplePrintServiceExporterConfiguration.java 6718 2013-11-11 09:32:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimplePrintServiceExporterConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.print.attribute.PrintRequestAttributeSet` | `getPrintRequestAttributeSet()` Returns an instance of `javax.print.attribute.PrintRequestAttributeSet`.
    `javax.print.PrintService` | `getPrintService()` Returns an instance of `javax.print.PrintService`, useful if users do not want JPS to lookup for an available print service.
    `javax.print.attribute.PrintServiceAttributeSet` | `getPrintServiceAttributeSet()` Returns an instance of `javax.print.attribute.PrintServiceAttributeSet`.
    `java.lang.Boolean` | `isDisplayPageDialog()` Returns a boolean value specifying whether a page setup dialog should be opened before printing.
    `java.lang.Boolean` | `isDisplayPageDialogOnlyOnce()` Returns a boolean value specifying whether a page setup dialog should be opened only once before printing in a batch export job.
    `java.lang.Boolean` | `isDisplayPrintDialog()` Returns a boolean value specifying whether a print setup dialog should be opened before printing.
    `java.lang.Boolean` | `isDisplayPrintDialogOnlyOnce()` Returns a boolean value specifying whether a print setup dialog should be opened only once in a batch export job.
    `void` | `isDisplayPrintDialogOnlyOnce(java.lang.Boolean isDisplayPrintDialogOnlyOnce)`
    `void` | `setDisplayPageDialog(java.lang.Boolean isDisplayPageDialog)`
    `void` | `setDisplayPageDialogOnlyOnce(java.lang.Boolean isDisplayPageDialogOnlyOnce)`
    `void` | `setDisplayPrintDialog(java.lang.Boolean isDisplayPrintDialog)`
    `void` | `setPrintRequestAttributeSet(javax.print.attribute.PrintRequestAttributeSet printRequestAttributeSet)`
    `void` | `setPrintService(javax.print.PrintService printService)`
    `void` | `setPrintServiceAttributeSet(javax.print.attribute.PrintServiceAttributeSet printServiceAttributeSet)`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleCommonExportConfiguration

      `isOverrideHints, setOverrideHints`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Constructor Detail

    - #### SimplePrintServiceExporterConfiguration

          public SimplePrintServiceExporterConfiguration()

  - ### Method Detail

    - #### getPrintRequestAttributeSet

          public javax.print.attribute.PrintRequestAttributeSet getPrintRequestAttributeSet()

      Description copied from interface: `PrintServiceExporterConfiguration`
      Returns an instance of `javax.print.attribute.PrintRequestAttributeSet`.
      Specified by:
        `getPrintRequestAttributeSet` in interface `PrintServiceExporterConfiguration`

    - #### setPrintRequestAttributeSet

          public void setPrintRequestAttributeSet(javax.print.attribute.PrintRequestAttributeSet printRequestAttributeSet)

    - #### getPrintServiceAttributeSet

          public javax.print.attribute.PrintServiceAttributeSet getPrintServiceAttributeSet()

      Description copied from interface: `PrintServiceExporterConfiguration`
      Returns an instance of `javax.print.attribute.PrintServiceAttributeSet`.
      Specified by:
        `getPrintServiceAttributeSet` in interface `PrintServiceExporterConfiguration`

    - #### setPrintServiceAttributeSet

          public void setPrintServiceAttributeSet(javax.print.attribute.PrintServiceAttributeSet printServiceAttributeSet)

    - #### isDisplayPageDialog

          public java.lang.Boolean isDisplayPageDialog()

      Description copied from interface: `PrintServiceExporterConfiguration`
      Returns a boolean value specifying whether a page setup dialog should be opened before printing.
      Specified by:
        `isDisplayPageDialog` in interface `PrintServiceExporterConfiguration`

    - #### setDisplayPageDialog

          public void setDisplayPageDialog(java.lang.Boolean isDisplayPageDialog)

    - #### isDisplayPageDialogOnlyOnce

          public java.lang.Boolean isDisplayPageDialogOnlyOnce()

      Description copied from interface: `PrintServiceExporterConfiguration`
      Returns a boolean value specifying whether a page setup dialog should be opened only once before printing in a batch export job.
      Specified by:
        `isDisplayPageDialogOnlyOnce` in interface `PrintServiceExporterConfiguration`

    - #### setDisplayPageDialogOnlyOnce

          public void setDisplayPageDialogOnlyOnce(java.lang.Boolean isDisplayPageDialogOnlyOnce)

    - #### isDisplayPrintDialog

          public java.lang.Boolean isDisplayPrintDialog()

      Description copied from interface: `PrintServiceExporterConfiguration`
      Returns a boolean value specifying whether a print setup dialog should be opened before printing.
      Specified by:
        `isDisplayPrintDialog` in interface `PrintServiceExporterConfiguration`

    - #### setDisplayPrintDialog

          public void setDisplayPrintDialog(java.lang.Boolean isDisplayPrintDialog)

    - #### isDisplayPrintDialogOnlyOnce

          public java.lang.Boolean isDisplayPrintDialogOnlyOnce()

      Description copied from interface: `PrintServiceExporterConfiguration`
      Returns a boolean value specifying whether a print setup dialog should be opened only once in a batch export job.
      Specified by:
        `isDisplayPrintDialogOnlyOnce` in interface `PrintServiceExporterConfiguration`

    - #### isDisplayPrintDialogOnlyOnce

          public void isDisplayPrintDialogOnlyOnce(java.lang.Boolean isDisplayPrintDialogOnlyOnce)

    - #### getPrintService

          public javax.print.PrintService getPrintService()

      Description copied from interface: `PrintServiceExporterConfiguration`
      Returns an instance of `javax.print.PrintService`, useful if users do not want JPS to lookup for an available print service.
      Specified by:
        `getPrintService` in interface `PrintServiceExporterConfiguration`

    - #### setPrintService

          public void setPrintService(javax.print.PrintService printService)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com